> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/bmc/load-balancing/describeloadbalancerzones.md).

# DescribeLoadBalancerZones

## 1. API Description

This API (DescribeLoadBalancerZones) is used to query the zones supporting the creating of load balancers.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                                 | Description                                                                         |
| -------------- | -------- | -------------------------------------------------------------------- | ----------------------------------------------------------------------------------- |
| chargeType     | Yes      | [ChargeType](/api-reference/compute/bmc/datastructure.md#chargetype) | <p>Pricing model.</p><p>PREPAID : subscription;</p><p>POSTPAID : pay-as-you-go.</p> |

## 3. Output Parameters

| Parameter Name | Type            | Description                                                                                                           |
| -------------- | --------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| zoneIdSet      | Array of String | zoneId result set.                                                                                                    |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query available zones supporting for creating pay-as-you-go load balancers.**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeLoadBalancerZones
<Common Request Params>

Request:
{
  "chargeType": "POSTPAID"
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "zoneIdSet": [
      "HKG-A",
      "AMS-C"
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
